org.springframework.web.reactive.function.server

## Interface HandlerFunction<T extends ServerResponse>

Type Parameters:
  `T` - the type of the response of the function

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

    @FunctionalInterface
    public interface HandlerFunction<T extends ServerResponse>

Represents a function that handles a request.

Since:
  5.0
Author:
  Arjen Poutsma
See Also:
  `RouterFunction`

### Method Summary

All Methods Instance Methods Abstract Methods
`reactor.core.publisher.Mono<T>` `handle(ServerRequest request)` Handle the given request.

### Method Detail

#### handle

    reactor.core.publisher.Mono<T> handle(ServerRequest request)

Handle the given request.

Parameters:
  `request` - the request to handle
Returns:
  the response